Loading...
Searching...
No Matches
cascading::CascadeManager::RoleChangedEvent Struct Reference

Event: This unit's role in the cascade has changed. More...

Inheritance diagram for cascading::CascadeManager::RoleChangedEvent:

## Public Attributes

Role | oldRole
| Previous role before the change.
Role | newRole
| New role after the change.
string | primaryUnit
| Primary unit IP address (if new role is link unit)
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: This unit's role in the cascade has changed.

The documentation for this struct was generated from the following file:

- CascadeManager.idl